> ## Documentation Index
> Fetch the complete documentation index at: https://whitebit-mintlify-fix-broken-links-1774051868.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Positions History



## OpenAPI

````yaml /openapi/private/http-trade-v4.yaml POST /api/v4/collateral-account/positions/history
openapi: 3.0.3
info:
  title: Private HTTP API V4 - Collateral Trading
  description: |
    WhiteBIT Private HTTP API V4 for collateral/margin trading operations.

    Base URL: https://whitebit.com

    All endpoints return time in Unix-time format.
    All endpoints return either a JSON object or array.
    For receiving responses from API calls please use http method POST.

    Authentication required for all endpoints.
  version: 4.0.0
  license:
    name: WhiteBIT Terms of Service
    url: https://whitebit.com/terms
servers:
  - url: https://whitebit.com
    description: WhiteBIT Global Server
  - url: https://whitebit.eu
    description: WhiteBIT EU Server
security: []
tags:
  - name: Collateral Trading
    description: Endpoints for collateral/margin trading operations
  - name: Spot Trading
    description: Endpoints for spot trading operations
  - name: Market Fee
    description: Endpoints for querying trading fees
paths:
  /api/v4/collateral-account/positions/history:
    post:
      tags:
        - Collateral Trading
      summary: Positions History
      description: |
        The endpoint retrieves positions history.

        <Warning>
        Rate limit: 12000 requests/10 sec.
        </Warning>
      operationId: getPositionsHistory
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                market:
                  type: string
                  example: BTC_USDT
                positionId:
                  type: integer
                  example: 1
                request:
                  type: string
                  example: '{{request}}'
                nonce:
                  type: string
                  example: '{{nonce}}'
            example:
              market: BTC_USDT
              positionId: 1
              request: '{{request}}'
              nonce: '{{nonce}}'
      responses:
        '200':
          description: Successful response - returns array of position history
          content:
            application/json:
              schema:
                type: array
                description: Array of position history entries
                items:
                  type: object
                  properties:
                    positionId:
                      type: integer
                      description: Position identifier
                      example: 111
                    market:
                      type: string
                      description: Position market
                      example: BTC_USDT
                    openDate:
                      type: number
                      description: Date of position opening in Unix timestamp format
                      example: 1650400589.882613
                    modifyDate:
                      type: number
                      description: >-
                        Date of position modification (current event) in Unix
                        timestamp format
                      example: 1650400589.882613
                    amount:
                      type: string
                      description: Position amount
                      example: '0.1'
                    basePrice:
                      type: string
                      description: Base price of position
                      example: '45658.349'
                    realizedFunding:
                      type: string
                      description: >-
                        Funding fee for whole position lifetime till current
                        state
                      example: '0'
                    liquidationPrice:
                      type: string
                      description: Liquidation price according to current state of position
                      nullable: true
                      example: null
                    liquidationState:
                      type: string
                      description: State of liquidation
                      enum:
                        - margin_call
                        - liquidation
                      nullable: true
                      example: null
                    orderDetail:
                      type: object
                      description: Details of order which changes position
                      properties:
                        id:
                          type: integer
                          description: Order identifier
                          example: 97067934
                        tradeAmount:
                          type: string
                          description: Trade amount of order
                          example: '0.1'
                        price:
                          type: string
                          description: Order price
                          example: '41507.59'
                        tradeFee:
                          type: string
                          description: Order trade fee
                          example: '415.07'
                        fundingFee:
                          type: string
                          description: Funding fee captured by this position change
                          nullable: true
                          example: null
                        realizedPnl:
                          type: string
                          description: Realized profit and loss
                          nullable: true
                          example: null
                    positionSide:
                      type: string
                      description: Position side
                      enum:
                        - LONG
                        - SHORT
                        - BOTH
                      example: LONG
              example:
                - positionId: 111
                  market: BTC_USDT
                  openDate: 1650400589.882613
                  modifyDate: 1650400589.882613
                  amount: '0.1'
                  basePrice: '45658.349'
                  realizedFunding: '0'
                  liquidationPrice: null
                  liquidationState: margin_call
                  orderDetail:
                    id: 97067934
                    tradeAmount: '0.1'
                    price: '41507.59'
                    tradeFee: '415.07'
                    fundingFee: null
                    realizedPnl: null
                  positionSide: LONG
        '400':
          description: Inner validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Request validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal error
        '503':
          description: Service temporarily unavailable
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        code:
          type: integer
          description: Error code
          example: 30
        message:
          type: string
          description: Error message
          example: Validation failed
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Detailed error information
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-TXC-APIKEY
      description: |
        API Key authentication for private endpoints.

        Required headers:
        - X-TXC-APIKEY: API key
        - X-TXC-PAYLOAD: Base64 encoded JSON payload
        - X-TXC-SIGNATURE: HMAC SHA512 signature

````